about summary refs log tree commit diff
path: root/.gitlab-ci
diff options
context:
space:
mode:
authorMichael Biebl <biebl@debian.org>2024-08-26 16:10:34 +0200
committerMichael Biebl <biebl@debian.org>2024-08-26 16:10:34 +0200
commit681dfc70ef98f6ed0c05bcb0fbff00e3fc0799ea (patch)
treede71fafaa05ed5aa070324c3b731206150098781 /.gitlab-ci
parente96d74409128c6a977e31f24fad9b267d2feb9a1 (diff)
New upstream version 1.48.10 upstream/1.48.10
Diffstat (limited to '.gitlab-ci')
-rw-r--r--.gitlab-ci/ci.template2
-rw-r--r--.gitlab-ci/config.yml4
-rwxr-xr-x.gitlab-ci/fedora-install.sh16
-rwxr-xr-x.gitlab-ci/run-test.sh2
4 files changed, 17 insertions, 7 deletions
diff --git a/.gitlab-ci/ci.template b/.gitlab-ci/ci.template
index 192b7714..334b75a9 100644
--- a/.gitlab-ci/ci.template
+++ b/.gitlab-ci/ci.template
@@ -16,7 +16,7 @@
 
 
 # see https://docs.gitlab.com/ee/ci/yaml/#includefile
-.templates_sha: &template_sha 184ca628f89f3193c249b4e34e45afee2773a833
+.templates_sha: &template_sha 98b1218f146a1ec96d65e3ce0041f9a6ec5cb5e6
 
 {# Group distros by their common (name,) tuples.#}
 {% set distro_groups = [] %}
diff --git a/.gitlab-ci/config.yml b/.gitlab-ci/config.yml
index 4e97ecf1..9776b76e 100644
--- a/.gitlab-ci/config.yml
+++ b/.gitlab-ci/config.yml
@@ -64,10 +64,6 @@ distributions:
     versions:
       - 'stable'
       - 'oldstable'
-  - name: centos
-    tier: 3
-    versions:
-      - 'stream8'
   - name: alpine
     tier: 3
     versions:
diff --git a/.gitlab-ci/fedora-install.sh b/.gitlab-ci/fedora-install.sh
index 5ffb461c..3bd46983 100755
--- a/.gitlab-ci/fedora-install.sh
+++ b/.gitlab-ci/fedora-install.sh
@@ -5,6 +5,7 @@ set -ex
 IS_FEDORA=0
 IS_CENTOS=0
 CENTOS_VERSION=0
+FEDORA_VERSION=0
 grep -q '^NAME=.*\(CentOS\)' /etc/os-release && IS_CENTOS=1
 grep -q '^NAME=.*\(Fedora\)' /etc/os-release && IS_FEDORA=1
 if [ $IS_CENTOS = 1 ]; then
@@ -45,9 +46,22 @@ yum install -y glibc-langpack-pl ccache clang
 # to generate proper documentation.
 yum reinstall -y --setopt='tsflags=' glib2-doc
 
+if [ $IS_FEDORA = 1 ]; then
+    FEDORA_VERSION=$(cat /etc/os-release | grep '^VERSION_ID=' | sed s\/"VERSION_ID="\/\/)
+fi
+
 if command -v dnf &>/dev/null; then
     dnf install -y python3-dnf-plugins-core
-    dnf debuginfo-install -y glib2
+    # Fedora 41 migrated to DNF5 and the debuginfo-install plugin is not implemented yet
+    # therefore we need to enable the repo and install the debuginfo subpackage manually
+    if [ $FEDORA_VERSION -lt "41" ]; then
+        dnf debuginfo-install -y glib2
+    else
+        dnf install -y dnf5-plugins
+        dnf config-manager setopt fedora-debuginfo.enabled=1
+        dnf config-manager setopt rawhide-debuginfo.enabled=1 || true
+        dnf install -y glib2-debuginfo
+    fi
 else
     debuginfo-install -y glib2
 fi
diff --git a/.gitlab-ci/run-test.sh b/.gitlab-ci/run-test.sh
index cd122203..d97163b6 100755
--- a/.gitlab-ci/run-test.sh
+++ b/.gitlab-ci/run-test.sh
@@ -40,7 +40,7 @@ uname -a
 meson --version
 
 ! command -v dpkg &>/dev/null || dpkg -l
-! command -v yum  &>/dev/null || yum list installed
+! command -v dnf  &>/dev/null || dnf list --installed
 ! command -v apk  &>/dev/null || apk -v info
 
 # We have a unit test that check that `ci-fairy generate-template`